Create paymentAsk AIpost https://authservices.satispay.com/g_business/v1/payments Body ParamsflowstringenumrequiredThe payment flows that you can use with Meal Vouchers are: MATCH_CODE DOC This flow can be used generically for one-off payments. HOTP_AUTH DOC This flow can be used to perform one-off payments via HOTP tokens. To use this flow you must also include the token parameter. MATCH_USER DOC This flow can be used for one-off payments on a specific user. To use this flow you must also include the consumer_uid parameter. REFUND DOC This flow can be used for refunds on a specific payment. To use this flow you must also include the parent_payment_uid and the amount_unit.Allowed:MATCH_CODEHOTP_AUTHMATCH_USERREFUNDamount_unitintegerrequiredThe payment amount in cents. For example, to represent the amount €12.40, you should multiply it by 100, resulting in 1240 cents.currencystringrequiredDefaults to EURThe payment currency. Currently EUR is the only currency supported.payment_method_optionsobjectpayment_method_options objectpayment_optionsobjectpayment_options objecttokenstringThe token required to charge the consumer wallet. It can be an HOTP token. Required with HOTP_AUTH flow only.consumer_uidstringdeprecatedThe unique id of the consumer required for payment acceptance. To obtain the customer id, please use the Get Consumer API. Required with MATCH_USER flow only. This parameter is deprecated; we suggest avoiding the MATCH_USER UX unless absolutely necessary.parent_payment_uidstringThe id of the payment that you want to refund. Required with REFUND flow only.external_codestringThe external order id or payment identifier. We highly recommend to use this field by populating it with your internal order id. This string will be included in your reports for reconciliation and shown to the Satispay consumer in-app. This field has a maximum length of 50 characters, including spaces.callback_urlstringThe URL to be triggered via an HTTP GET request when there is a change in payment status. When the given callback_url is invoked, a GET request for payment details can be made to retrieve the updated payment status. Please note that {uuid} will be replaced with the generated payment id. e.g. https://example.com/satispay-callback?payment_id={uuid} You can read more here.redirect_urlstringThis field specifies the URL where the user will be redirected after the payment flow from the Satispay app is completed. For instance, you can set this URL to ensure users are redirected to that specific page upon successful payment completion. e.g. https://example.com/payment-redirect?order_id=your_order_id Please note that this field doesn't support any placeholder.metadataobjectThe additional metadata for the payment. This field supports up to 20 key-value pairs, with keys limited to 45 characters and values limited to 500 characters each.metadata objectexpiration_datestringThe UTC payment expiration datetime. The format should be ISO 8601 like this yyyy-MM-dd'T'HH:mm:ss.SSSZ. By default MATCH_CODE and MATCH_USER payments are valid for 2 hours. This parameter cannot be used with HOTP_AUTH and REFUND flows.HeadersContent-TypestringrequiredAlways send this header as application/json.HoststringrequiredThe host declared in the signature.DatestringrequiredThe date declared in the signature.DigeststringrequiredThe digest declared in the signature.AuthorizationstringrequiredThe request signature.Idempotency-KeystringThe idempotent request key. You can read more here.x-satispay-deviceinfostringThe device information (e.g., hostname).x-satispay-devicetypestringenumThe device type.Allowed:SMARTPHONETABLETCASH REGISTERPOSPCECOMMERCE_PLUGINx-satispay-osstringThe Operating System name (e.g., Windows).x-satispay-osvstringThe Operating System version (e.g., 10).x-satispay-apphstringThe software house name (e.g., Satispay).x-satispay-appnstringThe software name (e.g., My awesome app).x-satispay-appvstringThe software version (e.g., v2.0.0).x-satispay-tracking-codestringThe tracking code used by Satispay commercial partners. Use this code only if explicitly required by Satispay.Responses 200OK 400400 Bad Request 401401 Unauthorized 403403 Forbidden or invalid authorization headerUpdated 7 months ago